Skip to main content
GET
/
o
/
{organisation_id}
/
issues
List Issues
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/issues \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "organisationId": "<string>",
    "projectId": "<string>",
    "environmentId": "<string>",
    "status": "open",
    "reason": "error",
    "message": "<string>",
    "title": "<string>",
    "labels": {},
    "annotations": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "lastSeenAt": "2023-11-07T05:31:56Z",
    "seenCount": 123,
    "resolutionStatus": "resolved",
    "resolvedAt": "2023-11-07T05:31:56Z",
    "severity": "high"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required

Query Parameters

first
integer
default:20
after
string
before
string
search_date
enum<string>

Which date to use in after and before queries. If not provided, defaults to createdAt. The result will also be ordered by this date.

Available options:
createdAt,
lastSeenAt
status
enum<string>

Filter issues by status. Can be one of 'open', 'closed', 'acked' or 'resolved'. If not provided, defaults to getting issues of all statuses.

Current status of the issue

Available options:
open,
closed,
acked,
resolved
project_id
string

Filter issues by project ID. If not provided, issues from all projects are returned. This is useful for filtering issues related to a specific project.

environment_id
string

Filter issues by environment ID. If not provided, issues from all projects are returned. This is useful for filtering issues related to a specific environment.

severity
enum<string>

Filter issues by severity. Can be one of 'low', 'medium', or 'high'. If not provided, issues of all severities are returned.

Severity level of the issue

Available options:
high,
low,
medium

Response

OK

id
string
required

Unique identifier for the issue (ULID)

organisationId
string
required

ID of the organization the isszue belongs to

projectId
string
required

ID of the project the issue belongs to

environmentId
string
required

ID of the environment the issue occurred in

status
enum<string>
required

Current status of the issue

Available options:
open,
closed,
acked,
resolved
reason
enum<string>
required

Reason for the issue creation

Available options:
error,
manual
message
string
required

Detailed message of the issue

title
string
required

Title of the issue

labels
object
required

Key-value pairs for searchable labels

annotations
object
required

Key-value pairs for additional non-searchable information

createdAt
string<date-time>
required

Timestamp when the issue was created

lastSeenAt
string<date-time>
required

Timestamp when the issue was last seen

seenCount
integer
required

Number of times the issue has been seen

resolutionStatus
enum<string>

Status of the issue resolution

Available options:
resolved,
negated,
ignored
resolvedAt
string<date-time> | null

Timestamp when the issue was resolved

severity
enum<string>

Severity level of the issue

Available options:
high,
low,
medium